CREATE TABLE cn_formulas_all_tl (
    FORMULA_ID               NUMBER(18, 0) ,
    LANGUAGE                 VARCHAR2(16)  ,
    SOURCE_LANG              VARCHAR2(16)      NOT NULL,
    FORMULA_NAME             VARCHAR2(320)     NOT NULL,
    DISPLAY_NAME             VARCHAR2(320) ,
    DESCRIPTION              VARCHAR2(4000),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    FORMULA_ID               NUMBER(18, 0) ,
    LANGUAGE                 VARCHAR2(16)  ,
    SOURCE_LANG              VARCHAR2(16)      NOT NULL,
    FORMULA_NAME             VARCHAR2(320)     NOT NULL,
    DESCRIPTION              VARCHAR2(4000),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    DISPLAY_NAME             VARCHAR2(320) ,
    CONSTRAINT pk_cn_formulas_all_tl PRIMARY KEY (FORMULA_ID, LANGUAGE, FORMULA_ID, LANGUAGE)
);
